<div fxFlex="100" fxLayout="column" fxHide fxShow.gt-sm>

  <app-header title="Αιτήματα ενεργοποίησης καταστήματων" icon="app_registration"></app-header>


  <div fxFlex="100" fxLayout="row" fxLayoutAlign="space-between" style="margin-top:10px;padding-top: 8px;padding-bottom: 0" class="header">
    <p fxLayout="column" fxLayoutAlign="center" style="margin-left: 25px;">Αιτήματα Εγγραφής Καταστημάτων</p>
    <mat-form-field style="margin-right: 25px;">
      <mat-label style="color: white">
        Αναζήτηση
      </mat-label>
      <input matInput (keyup)="search($event)">
    </mat-form-field>
  </div>

  <div [hidden]="!hasData">
    <mat-table [dataSource]="dataSource" class="mat-elevation-z8">

      <ng-container *ngFor="let column of columns" [matColumnDef]="column.columnDef">
        <mat-header-cell *matHeaderCellDef>
          {{column.header}}
        </mat-header-cell>
        <mat-cell *matCellDef="let row">
          {{column.cell(row)}}
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="displayedColumns sticky:true"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;" (click)="showRegistrationData(row.id)"></mat-row>
    </mat-table>
    <mat-paginator [pageSize]="10" showFirstLastButtons></mat-paginator>
  </div>

  <div [hidden]="hasData" style="background-color: white; padding: 100px; text-align: center">Δεν υπάρχουν αιτήματα εγγραφής καταστημάτων.</div>
</div>

<div fxFlex="100" fxLayout="column"  fxHide  fxShow.lt-md class="card-container">
  <p style="border-radius: 5px; margin-bottom: 10px;">Αιτήματα Εγγραφής Καταστημάτων</p>
  <div [hidden]="!hasData" *ngFor="let user of cardSource" >
    <mat-card (click)="showRegistrationData(user.id)">
      <div class="card-element" >
        <span fxFlex="50" style="margin-right: 15px;">ΑΦΜ</span>
        <span>{{user.afm}}</span>
      </div>
      <div class="card-element">
        <span fxFlex="50" style="margin-right: 15px;">Επωνυμία Επιχείρησης</span>
        <span>{{user.brandName}}</span></div>
      <div class="card-element">
        <span fxFlex="50" style="margin-right: 15px;">Πόλη</span>
        <span>{{user.city}}</span></div>
      <div class="card-element">
        <span fxFlex="50" style="margin-right: 15px;">Διεύθυνση</span>
        <span>{{user.address}}</span></div>
      <div class="card-element">
        <span fxFlex="50" style="margin-right: 15px;">Email</span>
        <span>{{user.email}}</span></div>
      <div class="card-element">
        <span fxFlex="50" style="margin-right: 15px;">Τηλέφωνο</span>
        <span>{{user.phoneNumber}}</span></div>
      <div>
        <span fxFlex="50" style="margin-right: 15px;">Ημερομηνία Αιτήματος</span>
        <span>{{user.requestDate}}</span></div>
    </mat-card>
  </div>
  <div [hidden]="hasData" style="background-color: white; padding: 100px; text-align: center">Δεν υπάρχουν αιτήματα εγγραφής καταστημάτων.</div>
</div>


